package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.AlergenicoFlows;
import com.javaseleniumtemplate.pages.AlergenicoPage;
import org.testng.annotations.Test;

public class AlergenicoTests extends TestBase {

    AlergenicoPage alergenicoPage;
    AlergenicoFlows alergenicoFlows;
    LoginFlows loginFlows;

    //adicionar um novo alergenico com nome, sigla e imagem
    //realizar a verificação do parâmetros (nome, sigla e imagem) se foram salvos corretamente
    //editar os dados do alergênico adicionado e realizar a verificação dos dados editados
    //excluir o alergênico
    //verificar os campos obrigatórios da tela de adicionar
    //adicionar alergênico sem imagem e realizar a verificação se o nome e a sigla foram adicionados corretamente e a imagem ficou com a padrão
    //realizar novamente a exclusão do alergênico
    @Test
    public void alergenico() {
        alergenicoPage = new AlergenicoPage();
        alergenicoFlows = new AlergenicoFlows();
        loginFlows = new LoginFlows();

        loginFlows.efetuarLogin();
        alergenicoFlows.navegateApresentacaoProduto();
        alergenicoPage.adicionarAlergenico();
        alergenicoPage.verificarAlergenico();
        alergenicoPage.editarAlergenico();
        alergenicoPage.excluirAlergenico();
        alergenicoPage.camposObrigatorios();
        alergenicoPage.refresh();
        alergenicoPage.addSemImagem();
        alergenicoPage.excluirAlergenico();

        try {
            Thread.sleep(8000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }

}
